﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace XamDataGridChangeStyleDynamic
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Style myStyle = new Style(typeof(CellValuePresenter), grid1.Resources[typeof(CellValuePresenter)] as Style);
            //myStyle.Setters.Add(new Setter(CellValuePresenter.ForegroundProperty, Brushes.White));
           
            Binding b = new Binding("Cells[1].Value");
            DataTrigger dt = new DataTrigger();
            dt.Binding = b;
            dt.Value = "Sales";
            dt.Setters.Add(new Setter(CellValuePresenter.ForegroundProperty, Brushes.White));
            myStyle.Triggers.Add(dt);

            this.xamDataGrid1.FieldSettings.CellValuePresenterStyle = myStyle;
        }
    }
}
